

Patch from: steve cameron <steve.cameron@hp.com>

Makes the cciss driver compile in 2.5.60  (from tony@cantech.net.au)



 drivers/block/cciss_scsi.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/block/cciss_scsi.c~cciss-1 drivers/block/cciss_scsi.c
--- 25/drivers/block/cciss_scsi.c~cciss-1	Wed Feb 12 12:11:18 2003
+++ 25-akpm/drivers/block/cciss_scsi.c	Wed Feb 12 12:11:18 2003
@@ -1379,11 +1379,11 @@ cciss_scsi_queue_command (Scsi_Cmnd *cmd
 
 	// Get the ptr to our adapter structure (hba[i]) out of cmd->host.
 	// We violate cmd->host privacy here.  (Is there another way?)
-	c = (ctlr_info_t **) &cmd->host->hostdata[0];	
+	c = (ctlr_info_t **) &cmd->device->host->hostdata[0];	
 	ctlr = (*c)->ctlr;
 
-	rc = lookup_scsi3addr(ctlr, cmd->channel, cmd->target, cmd->lun, 
-			scsi3addr);
+	rc = lookup_scsi3addr(ctlr, cmd->device->channel, cmd->device->id, 
+			cmd->device->lun, scsi3addr);
 	if (rc != 0) {
 		/* the scsi nexus does not match any that we presented... */
 		/* pretend to mid layer that we got selection timeout */

_
